package com.ztmap.project.zhny.electricpowerquota.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 发电量指标对象 t_electric_power_quota
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public class TElectricPowerQuota extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 数据日期 */
    @Excel(name = "数据日期")
    private String dataTime;

    /** 发电类型（1：光伏 2：风力） */
    @Excel(name = "发电类型", readConverterExp = "1=：光伏,2=：风力")
    private Long type;

    /** 逆变器输入电量 */
    @Excel(name = "逆变器输入电量")
    private Double nbqsrDl;

    /** 逆变器转换效率 */
    @Excel(name = "逆变器转换效率")
    private Double nbqzhXl;

    /** 光电转换效率 */
    @Excel(name = "光电转换效率")
    private Double gdzhXl;

    /** 电站性能比 */
    @Excel(name = "电站性能比")
    private Double dzxnb;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDataTime(String dataTime)
    {
        this.dataTime = dataTime;
    }

    public String getDataTime()
    {
        return dataTime;
    }
    public void setType(Long type)
    {
        this.type = type;
    }

    public Long getType()
    {
        return type;
    }
    public void setNbqsrDl(Double nbqsrDl)
    {
        this.nbqsrDl = nbqsrDl;
    }

    public Double getNbqsrDl()
    {
        return nbqsrDl;
    }
    public void setNbqzhXl(Double nbqzhXl)
    {
        this.nbqzhXl = nbqzhXl;
    }

    public Double getNbqzhXl()
    {
        return nbqzhXl;
    }
    public void setGdzhXl(Double gdzhXl)
    {
        this.gdzhXl = gdzhXl;
    }

    public Double getGdzhXl()
    {
        return gdzhXl;
    }
    public void setDzxnb(Double dzxnb)
    {
        this.dzxnb = dzxnb;
    }

    public Double getDzxnb()
    {
        return dzxnb;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataTime", getDataTime())
            .append("type", getType())
            .append("nbqsrDl", getNbqsrDl())
            .append("nbqzhXl", getNbqzhXl())
            .append("gdzhXl", getGdzhXl())
            .append("dzxnb", getDzxnb())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
